using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//Marvin Schneider
[CreateAssetMenu(fileName = "Weapon", menuName = "Weapon/Weapon", order = 0)]
public class Weapon : ScriptableObject
{
    [SerializeField]
    private float damage = 20f;
    [SerializeField]
    private float fireRate = 0;

    public float getDamage(){
        return damage;
    }

    public float getFireRate(){
        return fireRate;
    }

}
